---
license: apache-2.0
tags:
- vision
- depth-estimation
- generated_from_trainer
model-index:
- name: glpn-kitti-finetuned-diode
  results: []
---

<!-- This model card has been generated automatically according to the information the Trainer had access to. You
should probably proofread and complete it, then remove this comment. -->

# glpn-kitti-finetuned-diode

This model is a fine-tuned version of [vinvino02/glpn-kitti](https://huggingface.co/vinvino02/glpn-kitti) on the diode-subset dataset.
It achieves the following results on the evaluation set:
- Loss: 0.8818
- Rmse: 0.7721

## Model description

More information needed

## Intended uses & limitations

More information needed

## Training and evaluation data

More information needed

## Training procedure

### Training hyperparameters

The following hyperparameters were used during training:
- learning_rate: 1e-05
- train_batch_size: 32
- eval_batch_size: 32
- seed: 42
- optimizer: Adam with betas=(0.9,0.999) and epsilon=1e-08
- lr_scheduler_type: linear
- lr_scheduler_warmup_ratio: 0.1
- num_epochs: 10

### Training results

| Training Loss | Epoch | Step | Validation Loss | Rmse |
|:-------------:|:-----:|:----:|:---------------:|:----:|
| No log        | 1.0   | 10   | 0.8395          | nan  |
| 0.9442        | 2.0   | 20   | 0.8097          | nan  |
| 0.894         | 3.0   | 30   | 0.7852          | nan  |
| 0.894         | 4.0   | 40   | 0.7784          | nan  |
| 0.8759        | 5.0   | 50   | 0.7690          | nan  |
| 0.8475        | 6.0   | 60   | 0.7591          | nan  |
| 0.8475        | 7.0   | 70   | 0.7493          | nan  |
| 0.8312        | 8.0   | 80   | 0.7440          | nan  |
| 0.83          | 9.0   | 90   | 0.7400          | nan  |
| 0.83          | 10.0  | 100  | 0.7404          | nan  |


### Framework versions

- Transformers 4.24.0
- Pytorch 1.12.1+cu113
- Datasets 2.6.1
- Tokenizers 0.13.2
